#ifndef _VARIABLE_TABLE_H_
#define _VARIABLE_TABLE_H_

#include "variable.h"

#define STEP 20

class VarTable
    {
    protected:
	int used;
	int size;
	Variable** table;

	void free_var(Variable* v);
    public:
        VarTable();
        ~VarTable();

	Variable* assign(Variable* v);
	Variable* assign(double d, char* name);
	Variable* assign(char* s, char* name);
	Variable* assign(double* da, char* name);
	Variable* assign(double d, char* name, int index);
	Variable* assign(int index, char* name);

	void add(Variable* v);

        Variable* remove(char* name);
        Variable* find(char* name);

    };

#endif _VARIABLE_TABLE_H_