/*  BORDER.H   Border is the Frame around future "window" with Header
    in the top of it. Always in "text" coordinates
*/

#ifndef __BORDER_H_
#define __BORDER_H_

#include "header.h"
#include "frame.h"
#include "output.h"

class Border : public Frame, public Header
    {
    public:
	Border(rect coordinates, char* h, BORDERS b_type = SHOW_BORDER,
	       BORDERS hdr_b_type = SHOW_BORDER, int s = 3, int pat = 15);

	void  show();
	void hilite()    { Frame::hilite(); }
	void unhilite()  { Frame::unhilite(); }
	void set_header(char* h);
	void set_type(BORDERS type) { border_type = type; }

	};

#endif __BORDER_H_
